## org.apache.batik.dom.util
Class IntTable.Entry

    java.lang.Object
      org.apache.batik.dom.util.IntTable.Entry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  IntTable

    protected static class IntTable.Entry

extends java.lang.Object
implements java.io.Serializable

To manage collisions.

See Also:
  Serialized Form

Field Summary
`int` `hash` The hash code.
`java.lang.Object` `key` The key.
`IntTable.Entry` `next` The next entry
`int` `value` The value.

Constructor Summary
`IntTable.Entry(int hash, java.lang.Object key, int value, IntTable.Entry next)` Creates a new Entry object.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code.

### key

    public java.lang.Object key

  The key.

### value

    public int value

  The value.

### next

    public IntTable.Entry next

  The next entry

Constructor Detail

### IntTable.Entry

    public IntTable.Entry(int hash,
                          java.lang.Object key,
                          int value,
                          IntTable.Entry next)

  Creates a new Entry object.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.